be.cin.mycarenet.esb.common.v2

## Class PartyType

- java.lang.Object
- - be.cin.mycarenet.esb.common.v2.PartyType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:26:20+02:00",
                 comments="JAXB RI v2.2.11")
      public class PartyType
      extends Object
      implements Serializable

  Information about the party. A party is rather general. some examples are

       <?xml version="1.0" encoding="UTF-8"?><ol xmlns="http://www.w3.org/1999/xhtml" xmlns:type="urn:be:cin:types:v1" xmlns:xs="http://www.w3.org/2001/XMLSchema"><li>A physical person by itself</li><li>A physical person working for an enterprise</li><li>A enterprise by itself</li></ol>

  Java class for PartyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PartyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PhysicalPerson" type="{urn:be:cin:mycarenet:esb:common:v2}IdType" minOccurs="0"/>
               <element name="Organization" type="{urn:be:cin:mycarenet:esb:common:v2}IdType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdType` | `getOrganization()` Gets the value of the organization property.
    `IdType` | `getPhysicalPerson()` Gets the value of the physicalPerson property.
    `void` | `setOrganization(IdType value)` Sets the value of the organization property.
    `void` | `setPhysicalPerson(IdType value)` Sets the value of the physicalPerson property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartyType

          public PartyType()

  - ### Method Detail

    - #### getPhysicalPerson

          public IdType getPhysicalPerson()

      Gets the value of the physicalPerson property.
      Returns:
        possible object is `IdType`

    - #### setPhysicalPerson

          public void setPhysicalPerson(IdType value)

      Sets the value of the physicalPerson property.
      Parameters:
        `value` - allowed object is `IdType`

    - #### getOrganization

          public IdType getOrganization()

      Gets the value of the organization property.
      Returns:
        possible object is `IdType`

    - #### setOrganization

          public void setOrganization(IdType value)

      Sets the value of the organization property.
      Parameters:
        `value` - allowed object is `IdType`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.